Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 532535

Summary: Review request: xml-security - Implementation of W3C security standards for XML
Product: [Fedora] Fedora Reporter: Mary Ellen Foster <mefoster>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED NOTABUG QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-package-review, notting, orion, pcheung
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-17 15:26:28 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 201449    

Description Mary Ellen Foster 2009-11-02 18:01:53 UTC
Spec URL: http://www.macs.hw.ac.uk/~mef3/review/xml-security.spec
SRPM URL: http://www.macs.hw.ac.uk/~mef3/review/xml-security-1.4.3-1.fc12.src.rpm
Description:
The XML Security project is aimed at providing implementation 
of security standards for XML. Currently the focus is on the 
W3C standards :
- XML-Signature Syntax and Processing; and
- XML Encryption Syntax and Processing.
Once these are implemented, XML Key Management is likely to 
be the next focus for the project.
Two libraries are currently available.
A Java library, which includes a mature Digital Signature 
implementation. Encryption is currently under development.
A C++ library is also now available. Functionality is 
currently more basic than that provided by the Java library.



This package was imported from JPackage

Comment 1 Jason Tibbitts 2009-11-02 20:15:28 UTC
This would seem to be a duplicate of 231305, except that seems to be stalled.  You should at least try to figure out what's going on with that ticket before filing a new one.

Comment 2 Orion Poplawski 2010-01-07 17:33:59 UTC
*** Bug 231305 has been marked as a duplicate of this bug. ***

Comment 3 Orion Poplawski 2010-01-07 17:42:30 UTC
Why the commented out bouncycastle BR/R?

The URL listed is non-functional, appears to now be: http://santuario.apache.org/

Comment 4 Jason Tibbitts 2010-11-13 20:24:56 UTC
No response in ages, and no response to pings in the other tickets filed along with this one.  I'm just going to close them all soon.